8 Replies Latest reply on Oct 2, 2015 6:42 AM by Hasan Al Mamun

    Java Version conflict Problem in installation on ORDS 3 in Linux.

    Hasan Al Mamun

      Hi,


      I have installed ORDS 3 in vmware in Oracle Linux 6.5 64-bit. It's working fine, no issue. Now in My production Server I am trying to Install ORDS 3 in Oracle Linux 6.2 64 bit. In the same server Oracle HTTP Server 11(web tier) is also installed. I am looking forward to shift from OHS to Glassfish/ORDS for REST Full web services support in Apex 4.2.6. Now I have also installed Glassfish Server 3.1.2.2 successfully.


      When I Issue the Command


      $ java -jar ords.war install advanced

       

      Following Error Shows:

       

      [oracle@myserver ords3]$ java -jar ords.war install advanced

       

      Exception in thread "main" java.lang.UnsupportedClassVersionError: oracle/dbtools/jarcl/Entrypoint : Unsupported major.minor version 51.0

              at java.lang.ClassLoader.defineClass1(Native Method)

              at java.lang.ClassLoader.defineClass(ClassLoader.java:634)

              at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)

              at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)

              at java.net.URLClassLoader.access$000(URLClassLoader.java:73)

              at java.net.URLClassLoader$1.run(URLClassLoader.java:212)

              at java.security.AccessController.doPrivileged(Native Method)

              at java.net.URLClassLoader.findClass(URLClassLoader.java:205)

              at java.lang.ClassLoader.loadClass(ClassLoader.java:321)

              at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)

              at java.lang.ClassLoader.loadClass(ClassLoader.java:266)

      Could not find the main class: oracle.dbtools.jarcl.Entrypoint. Program will exit.

      I suspect that it is Java version issue so I checked version

      java -version

      java version "1.6.0_22"

      OpenJDK Runtime Environment (IcedTea6 1.10.4) (rhel-1.41.1.10.4.el6-x86_64)

      OpenJDK 64-Bit Server VM (build 20.0-b11, mixed mode)

      Then I installed jdk 1.7... and checked the installation folder made changes in bash_profile as follows:

      JAVA_HOME=/usr/java/jdk1.7.0_79;export JAVA_HOME

      PATH=$PATH:$JAVA_HOME/bin:/usr/java/jdk1.7.0_79/jre/bin; export PATH

      but still java version is 1.6.0.22. Now since ORDS3 requires jdk 1.7.... I think the issue is with java version. But I cannot make the updated java as the default jdk. How can I do it. Please help


      Thanks

      Hasan Al Mamun